Package com.google.android.exoplayer2.text

## Class CueDecoder

- java.lang.Object
- - com.google.android.exoplayer2.text.CueDecoder

-     public final class CueDecoder
      extends Object

  Decodes data encoded by `CueEncoder`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CueDecoder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImmutableList<Cue>` | `decode​(byte[] bytes)` | Decodes byte array into list of `Cue` objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CueDecoder

          public CueDecoder()

  - ### Method Detail

    - #### decode

          public ImmutableList<Cue> decode​(byte[] bytes)

      Decodes byte array into list of `Cue` objects.
      Parameters:
        `bytes` - byte array produced by `CueEncoder`
      Returns:
        decoded list of `Cue` objects.